
TYPO3.Flow - Feature # 6142

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-01-21 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Class schema must check for entity when setting identity and identifier property 
Description

It should be possible to set identity and identifier properties only when the class schema type is entity

Related issues:
related to TYPO3.Flow - Feature # 6140: ClassSchema must reset identity prope... Resolved 2010-01-21

Associated revisions
Revision a141272f - 2010-01-21 21:29 - Karsten Dambekalns

[+FEATURE] FLOW3 (Property): The PropertyMapper now only maps to settable properties and no longer relies on the class schema to determine the
type for the target property - it uses the setter parameter's type if available and falls back to the class schema if needed. Resolves #5612.
[+FEATURE] FLOW3 (Reflection): When reflecting classes entities and value objects are checked for being declared prototype, resolves #6141.
[+FEATURE] FLOW3 (Reflection): ClassSchema now enforces consistency when it comes to value objects and identity/identifier properties, resolves
#6140, resolves #6142.
[+BUGFIX] FLOW3 (Persistence): Fixed left over JCR constant in AbstractSqlBackend, fixes #6153.

History
#1 - 2010-01-21 20:26 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-01-21 22:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3746.
